Index: src/Parameters/unittests/ContinuousValueTest.cpp
===================================================================
--- src/Parameters/unittests/ContinuousValueTest.cpp	(revision 6440c6215032e9cb753701bc186867d2e638c0de)
+++ src/Parameters/unittests/ContinuousValueTest.cpp	(revision 0d416866348175de64612b7f88582c36f2167054)
@@ -145,4 +145,38 @@
 void ContinuousValueTest::settergetterIntAsStringTest()
 {
+  // unset calling of get, throws ParameterValueException
+  {
+    Value<int> test(*ValidIntRange);
+    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+    CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
+  }
+
+  // setting invalid and getting it, throws ParameterValueException
+  {
+    Value<int> test(*ValidIntRange);
+    test.setAsString(toString(5));
+    CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
+    test.setAsString(toString(0));
+    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+    CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
+  }
+
+  // checking all valid ones
+  {
+    Value<int> test(*ValidIntRange);
+    CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
+    for (int i=1; i<=4;++i) {
+      test.setAsString(toString(i));
+      CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
+      CPPUNIT_ASSERT_EQUAL(toString(i), test.getAsString());
+    }
+  }
+}
+
+/** Unit test for setters and getters.
+ *
+ */
+void ContinuousValueTest::settergetterIntTest()
+{
   // create instance
   Value<int> test(*ValidIntRange);
@@ -150,38 +184,13 @@
   // unset calling of get, throws ParameterValueException
   std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
-
-  // setting invalid, throws ParameterValueException
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(5)), ParameterValueException);
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(0)), ParameterValueException);
-
-  CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
-  // checking all valid ones
-  for (int i=1; i<=4;++i) {
-    test.setAsString(toString(i));
-    CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-    CPPUNIT_ASSERT_EQUAL(toString(i), test.getAsString());
-  }
-}
-
-/** Unit test for setters and getters.
- *
- */
-void ContinuousValueTest::settergetterIntTest()
-{
-  // create instance
-  Value<int> test(*ValidIntRange);
-
-  // unset calling of get, throws ParameterValueException
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
   CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
 
-  // setting invalid, throws ParameterValueException
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(5), ParameterValueException);
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(0), ParameterValueException);
+  // setting invalid and getting it, throws ParameterValueException
+  test.set(5);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+  test.set(0);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
 
   // checking all valid ones
@@ -381,24 +390,32 @@
 void ContinuousValueTest::settergetterVectorTest()
 {
-  // create instance
-  Value<Vector> test(*ValidVectorRange);
-
   // unset calling of get, throws
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
-
-  // setting invalid, throws
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(Vector(5,0,0)), ParameterValueException);
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(Vector(5,20,5)), ParameterValueException);
-
-  CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
+  {
+    Value<Vector> test(*ValidVectorRange);
+    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+    CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+  }
+
+  // setting invalid and getting it, throws
+  {
+    Value<Vector> test(*ValidVectorRange);
+    test.set(Vector(5,0,0));
+    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+    CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+    test.set(Vector(5,20,5));
+    std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+    CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+  }
+
   // checking some valid ones
-  for (int i=1; i<=4;++i) {
-    Vector v(i,5,5);
-    test.set(v);
-    CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-    CPPUNIT_ASSERT_EQUAL(v, test.get());
+  {
+    Value<Vector> test(*ValidVectorRange);
+    CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
+    for (int i=1; i<=4;++i) {
+      Vector v(i,5,5);
+      test.set(v);
+      CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
+      CPPUNIT_ASSERT_EQUAL(v, test.get());
+    }
   }
 }
Index: src/Parameters/unittests/DiscreteValueTest.cpp
===================================================================
--- src/Parameters/unittests/DiscreteValueTest.cpp	(revision 6440c6215032e9cb753701bc186867d2e638c0de)
+++ src/Parameters/unittests/DiscreteValueTest.cpp	(revision 0d416866348175de64612b7f88582c36f2167054)
@@ -174,9 +174,11 @@
   CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
 
-  // setting invalid, throws
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(4), ParameterValueException);
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(0), ParameterValueException);
+  // setting invalid and getting it, throws
+  test.set(4);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+  test.set(0);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
 
   // checking all valid ones
@@ -200,9 +202,11 @@
   CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
 
-  // setting invalid, throws
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(4)), ParameterValueException);
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(0)), ParameterValueException);
+  // setting invalid and getting it, throws
+  test.setAsString(toString(4));
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
+  test.setAsString(toString(0));
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
 
   // checking all valid ones
